'
' Demonstrate the replacement routine for the compiler's ADin command with enhanced 14-bit core devices
' The replacement routine manipulates the ADCON1 register to take into account the Tad value
'
    Device = 16F1933                        ' Use an enhanced 14-bit core device
    Declare Xtal = 4
    Declare Optimiser_Level = 2             ' Squeeze the code
    Declare Dead_Code_Remove = 1            ' Squeeze it further
  
    Declare Hserial_Baud = 9600             ' Set baud rate to 9600
    Declare Hserial_RCSTA = %10010000       ' Enable serial port and continuous receive
    Declare Hserial_TXSTA = %00100100       ' Enable transmit and asynchronous mode
    
    Declare Adin_Res = 10                   ' 10-bit resolution
    Declare Adin_Tad = FRC                  ' FRC oscillator
    Declare Adin_Stime = 20                 ' Delay of 20us between samples taken
    
    Include "Adin_14e.inc"                  ' Load the ADin replacement code
   
    Dim MyResult As Word
    
'-------------------------------------------------------------------------------------------------   
    ANSELA = %00000001                      ' Set AN0 as digital   
    ADCON1 = %10000000                      ' Right justified for 10-bit result

    While 1 = 1                             ' Create an infinite loop
        MyResult = ADIn 0                   ' Read AN0
        HRSOut Dec MyResult, 13             ' Transmit the result
        DelayMS 100                         ' Slow things down for display purposes                      
    Wend                                    ' Do it forever
    
    
    
    
    
